from spade.agent import Agent

from control_backend.agents.bdi.behaviours.text_belief_extractor import BeliefFromText


class TBeliefExtractor(Agent):
    async def setup(self):
        self.b = BeliefFromText()
        self.add_behaviour(self.b)
